<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('portfolios', function (Blueprint $table) {
            $table->id();
            $table->string('title');                   // Judul proyek
            $table->string('category')->nullable();    // Kategori proyek
            $table->string('image')->nullable();       // Gambar proyek
            $table->text('description')->nullable();   // Deskripsi proyek
            $table->string('project_url')->nullable(); // URL proyek
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('portfolios');
    }
};
